/*
 * Web Designer
 * Copyright (C) 1999-2000  LADISLAS Willhem
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Author's email : zillprog@freesurf.fr
 * 
 * snailmail : LADISLAS Willhem
 * 2, rue du Serpolet
 * 95490 VAUREAL
 * FRANCE
 */

#include "common_headers.h"

GtkWidget *
load_static_toolbar (void)
{
	GtkWidget *maintoolbar;

	maintoolbar = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (maintoolbar), GTK_RELIEF_NONE);
	gtk_widget_show (maintoolbar);

	gtk_toolbar_set_space_size (GTK_TOOLBAR (maintoolbar), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

	gtk_toolbar_set_space_style (GTK_TOOLBAR (maintoolbar), GTK_TOOLBAR_SPACE_LINE);

	/*
	 * toolbar principal 
	 */
	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("New file"),
						 "", new_pixmap (0, window->window, &color),
							 GTK_SIGNAL_FUNC (newfile), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Open file"),
						 "", new_pixmap (3, window->window, &color),
							 GTK_SIGNAL_FUNC (openfile), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Save file"),
						 "", new_pixmap (2, window->window, &color),
							 GTK_SIGNAL_FUNC (savefile), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Close file"),
						 "", new_pixmap (6, window->window, &color),
							 GTK_SIGNAL_FUNC (close_primary), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("New project"),
						"", new_pixmap (15, window->window, &color),
							 GTK_SIGNAL_FUNC (new_project), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Open project"),
						"", new_pixmap (17, window->window, &color),
					   GTK_SIGNAL_FUNC (open_project_dialog), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Save project"),
						"", new_pixmap (18, window->window, &color),
						 GTK_SIGNAL_FUNC (save_project), (int *) PROJECT_SAVE);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Close project"),
						"", new_pixmap (16, window->window, &color),
							 GTK_SIGNAL_FUNC (close_project), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Project manager"),
						 "", new_pixmap (7, window->window, &color),
				 GTK_SIGNAL_FUNC (init_clist), GTK_OBJECT (window));

	gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Print"),
						"", new_pixmap (19, window->window, &color),
							 GTK_SIGNAL_FUNC (print_file), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Cut"),
						 "", new_pixmap (9, window->window, &color),
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 0);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Copy"),
						 "", new_pixmap (8, window->window, &color),
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 1);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Paste"),
						"", new_pixmap (10, window->window, &color),
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 2);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Repeat tag"),
						"", new_pixmap (41, window->window, &color),
							 GTK_SIGNAL_FUNC (repeat_tag), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Compact tags"),
						"", new_pixmap (40, window->window, &color),
						   GTK_SIGNAL_FUNC (compact_file), (int) 0);

	gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Configuration"),
						 "", new_pixmap (5, window->window, &color),
					 GTK_SIGNAL_FUNC (display_preferences_dialog), GTK_OBJECT (window));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Toggle Help bar"),
						"", new_pixmap (69, window->window, &color),
		  GTK_SIGNAL_FUNC (tab_window_toggle), GTK_OBJECT (window));

#ifdef HAVE_LIBGTKXMHTML
	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Internal preview"),
						"", new_pixmap (11, window->window, &color),
				   GTK_SIGNAL_FUNC (int_view), GTK_OBJECT (window));
#endif

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("View in Netscape"),
						"", new_pixmap (12, window->window, &color),
			  GTK_SIGNAL_FUNC (netscape_view), GTK_OBJECT (window));

	gtk_toolbar_append_space (GTK_TOOLBAR (maintoolbar));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Quit"),
						 "", new_pixmap (1, window->window, &color),
		  GTK_SIGNAL_FUNC (close_application), GTK_OBJECT (window));

	gtk_toolbar_append_item (GTK_TOOLBAR (maintoolbar), NULL, _ ("Help"),
						 "", new_pixmap (4, window->window, &color),
							 GTK_SIGNAL_FUNC (about), NULL);

	return maintoolbar;
}

void
load_first_toolbar (void)
{
	GtkWidget *Standard;
	GtkWidget *Font;
	GtkWidget *Page;

	GtkWidget *label;

	GtkWidget *Formulaires;
	GtkWidget *Tablelist;
	GtkWidget *Extensions;
	GtkWidget *Javascript;
	GtkWidget *aspssi;
	GtkWidget *Personal;
	GtkWidget *Frames;

	Standard = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Standard), GTK_RELIEF_NONE);
	gtk_widget_show (Standard);
	label = gtk_label_new (_ ("Common"));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Standard), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Standard, label);

	Font = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Font), GTK_RELIEF_NONE);
	gtk_widget_show (Font);
	label = gtk_label_new (_ (" Font "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Font), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Font));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Font, label);

	Page = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Page), GTK_RELIEF_NONE);
	gtk_widget_show (Page);
	label = gtk_label_new (_ (" Page "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Page), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Page));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Page, label);

	Formulaires = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Formulaires), GTK_RELIEF_NONE);
	gtk_widget_show (Formulaires);
	label = gtk_label_new (_ (" Form "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Formulaires), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Formulaires));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Formulaires, label);

	Tablelist = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Tablelist), GTK_RELIEF_NONE);
	gtk_widget_show (Tablelist);
	label = gtk_label_new (_ (" Table & List "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Tablelist), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Tablelist));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Tablelist, label);

	Frames = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Frames), GTK_RELIEF_NONE);
	gtk_widget_show (Frames);
	label = gtk_label_new (_ (" Frames "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Frames), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Frames));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Frames, label);

	aspssi = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (aspssi), GTK_RELIEF_NONE);
	gtk_widget_show (aspssi);
	label = gtk_label_new (_ (" ASP & SSI "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (aspssi), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (aspssi));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), aspssi, label);

	Extensions = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Extensions), GTK_RELIEF_NONE);
	gtk_widget_show (Extensions);
	label = gtk_label_new (_ (" Extensions "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Extensions), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Extensions));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Extensions, label);

	Javascript = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_ICONS);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Javascript), GTK_RELIEF_NONE);
	gtk_widget_show (Javascript);
	label = gtk_label_new (_ (" Script "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Javascript), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Javascript));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Javascript, label);

	Personal = gtk_toolbar_new (GTK_ORIENTATION_HORIZONTAL, GTK_TOOLBAR_BOTH);
	gtk_toolbar_set_button_relief (GTK_TOOLBAR (Personal), GTK_RELIEF_NONE);
	gtk_widget_show (Personal);
	label = gtk_label_new (_ (" Personal "));
	gtk_toolbar_set_space_size (GTK_TOOLBAR (Personal), 10);
	gtk_toolbar_append_space (GTK_TOOLBAR (Personal));

	gtk_notebook_append_page (GTK_NOTEBOOK (notebook0), Personal, label);


	/*
	 * Onglet common 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (Standard), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (Standard), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Font"),
						"", new_pixmap (25, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FONT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Heading"),
						"", new_pixmap (34, window->window, &color),
							 GTK_SIGNAL_FUNC (choose_H), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Bold text"),
						"", new_pixmap (22, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_B);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Italic text"),
						"", new_pixmap (23, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_I);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Underlined text"),
						"", new_pixmap (24, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_U);

	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Left aligned paragraph"),
						"", new_pixmap (27, window->window, &color),
			 GTK_SIGNAL_FUNC (tag_insert_exec), (char *) (int *) TAG_P_LEFT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Centered paragraph"),
						"", new_pixmap (28, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_P_CENTER);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Right aligned paragraph"),
						"", new_pixmap (26, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_P_RIGHT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Justified paragraph"),
						"", new_pixmap (29, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_P_JUSTIFY);

	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Preformatted text"),
						"", new_pixmap (35, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_PRE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Blockquote"),
						"", new_pixmap (30, window->window, &color),
					  GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BLOCKQUOTE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Line Break"),
						"", new_pixmap (31, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BR);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Paragraph"),
						"", new_pixmap (32, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_P);

	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Comment"),
						"", new_pixmap (33, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_COMMENT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Horizontal ruler"),
						"", new_pixmap (75, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_HR);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Anchor"),
						"", new_pixmap (88, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_A_HREF);

	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Image"),
						"", new_pixmap (89, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_IMG);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Insert file path"),
						 "", new_pixmap (3, window->window, &color),
						GTK_SIGNAL_FUNC (dialog_insert_path), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Standard), NULL, _ ("Insert hex color"),
					   "", new_pixmap (101, window->window, &color),
					   GTK_SIGNAL_FUNC (color_insert_dialog), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (Standard));

	/*
	 * onglet Police 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (Font), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (Font), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Big text"),
						"", new_pixmap (42, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BIG);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Small text"),
						"", new_pixmap (43, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_SMALL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Blinking text"),
						"", new_pixmap (44, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BLINK);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Cite"),
						"", new_pixmap (45, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_CITE);

	gtk_toolbar_append_space (GTK_TOOLBAR (Font));

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Font +1"),
					   "", new_pixmap (103, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FONT_PLUS);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Font -1"),
					   "", new_pixmap (102, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FONT_MINUS);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Basefont"),
					   "", new_pixmap (104, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BASEFONT);

	gtk_toolbar_append_space (GTK_TOOLBAR (Font));

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Emphasis"),
						"", new_pixmap (62, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_EM);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Striked text"),
						"", new_pixmap (63, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_STRIKE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Superscript"),
						"", new_pixmap (64, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_SUP);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Subscript"),
						"", new_pixmap (65, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_SUB);

	gtk_toolbar_append_space (GTK_TOOLBAR (Font));

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Teletype"),
						"", new_pixmap (66, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Keyboard"),
						"", new_pixmap (67, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_KBD);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Listing"),
						"", new_pixmap (68, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_LISTING);

	gtk_toolbar_append_item (GTK_TOOLBAR (Font), NULL, _ ("Code"),
						"", new_pixmap (70, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_CODE);

	gtk_toolbar_append_space (GTK_TOOLBAR (Font));

	/*
	 * onglet Formulaires 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (Formulaires), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (Formulaires), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Form"),
						"", new_pixmap (79, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FORM);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Hidden input"),
						"", new_pixmap (80, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_HIDDEN);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Password input"),
						"", new_pixmap (71, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_PASSWORD);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Text input"),
						"", new_pixmap (72, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_TEXT);

	gtk_toolbar_append_space (GTK_TOOLBAR (Formulaires));

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Reset button"),
						"", new_pixmap (73, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_RESET);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Send button"),
						"", new_pixmap (74, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_SUBMIT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Simple button"),
						"", new_pixmap (84, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BUTTON);

	gtk_toolbar_append_space (GTK_TOOLBAR (Formulaires));

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Checkbox"),
						"", new_pixmap (76, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_CHECKBOX);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Radio box"),
						"", new_pixmap (77, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_INPUT_RADIO);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Text area"),
						"", new_pixmap (78, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TEXTAREA);

	gtk_toolbar_append_item (GTK_TOOLBAR (Formulaires), NULL, _ ("Fieldset"),
						"", new_pixmap (98, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FIELDSET);

	gtk_toolbar_append_space (GTK_TOOLBAR (Formulaires));

	/*
	 * onglet Page 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (Page), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (Page), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("HTML"),
						"", new_pixmap (55, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_HTML);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Head"),
						"", new_pixmap (56, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_HEAD);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Body"),
						"", new_pixmap (60, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BODY);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Title"),
						"", new_pixmap (57, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TITLE);

	gtk_toolbar_append_space (GTK_TOOLBAR (Page));

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("META informations"),
						"", new_pixmap (58, window->window, &color),
							 GTK_SIGNAL_FUNC (load_meta_info), NULL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Banner"),
						"", new_pixmap (59, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BANNER);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Document type"),
						"", new_pixmap (61, window->window, &color),
						  GTK_SIGNAL_FUNC (init_doctypelist), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (Page));

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("internal anchor"),
						"", new_pixmap (90, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_A_NAME);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Internal link"),
						"", new_pixmap (91, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_A_LOCAL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Page), NULL, _ ("Link to the top"),
						"", new_pixmap (92, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_A_TOP);

	gtk_toolbar_append_space (GTK_TOOLBAR (Page));

	/*
	 * onglet table and list 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (Tablelist), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (Tablelist), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Table"),
						"", new_pixmap (93, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TABLE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Table head"),
						"", new_pixmap (94, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TH);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Table row"),
						"", new_pixmap (96, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TR);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Table data"),
						"", new_pixmap (95, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_TD);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Caption"),
						"", new_pixmap (97, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_CAPTION);

	gtk_toolbar_append_space (GTK_TOOLBAR (Tablelist));

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Ordered list"),
						"", new_pixmap (81, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_OL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Unordered list"),
						"", new_pixmap (82, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_UL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("List item"),
						"", new_pixmap (83, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_LI);

	gtk_toolbar_append_space (GTK_TOOLBAR (Tablelist));

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Descriptive definition"),
						"", new_pixmap (85, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_DD);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Descriptive term"),
						"", new_pixmap (87, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_DT);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Descriptive list"),
						"", new_pixmap (86, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_DL);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Directory list"),
						"", new_pixmap (99, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_DIR);

	gtk_toolbar_append_item (GTK_TOOLBAR (Tablelist), NULL, _ ("Menu list"),
					   "", new_pixmap (100, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_MENU);

	gtk_toolbar_append_space (GTK_TOOLBAR (Tablelist));

	/*
	 * onglet frame 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (Frames), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (Frames), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (Frames), NULL, _ ("Frame"),
					   "", new_pixmap (105, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FRAME);

	gtk_toolbar_append_space (GTK_TOOLBAR (Frames));

	gtk_toolbar_append_item (GTK_TOOLBAR (Frames), NULL, _ ("Frameset"),
					   "", new_pixmap (106, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_FRAMESET);

	gtk_toolbar_append_item (GTK_TOOLBAR (Frames), NULL, _ ("Iframe"),
					   "", new_pixmap (107, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_IFRAME);

	gtk_toolbar_append_item (GTK_TOOLBAR (Frames), NULL, _ ("Base Href"),
					   "", new_pixmap (109, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_BASE_HREF);

	gtk_toolbar_append_item (GTK_TOOLBAR (Frames), NULL, _ ("No frames"),
					   "", new_pixmap (108, window->window, &color),
					 GTK_SIGNAL_FUNC (tag_insert_exec), (int *) TAG_NOFRAMES);

	gtk_toolbar_append_space (GTK_TOOLBAR (Frames));

	/*
	 * onglet ssi and asp 
	 */

	gtk_toolbar_set_space_size (GTK_TOOLBAR (aspssi), 10);
	gtk_toolbar_set_space_style (GTK_TOOLBAR (aspssi), GTK_TOOLBAR_SPACE_LINE);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("ASP Server Variables"),
					   "", new_pixmap (114, window->window, &color),
							 GTK_SIGNAL_FUNC (NULL), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (aspssi));

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("ASP open"),
					   "", new_pixmap (115, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_ASP_OPEN);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("ASP include"),
					   "", new_pixmap (116, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_ASP_INCLUDE);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("ASP include"),
					   "", new_pixmap (119, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_SSI_INCLUDE);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("ASP If tag"),
					   "", new_pixmap (117, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_ASP_IF);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("ASP End If tag"),
					   "", new_pixmap (118, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_ASP_ENDIF);

	gtk_toolbar_append_space (GTK_TOOLBAR (aspssi));

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("SSI Server Variables"),
					   "", new_pixmap (120, window->window, &color),
							 GTK_SIGNAL_FUNC (NULL), NULL);

	gtk_toolbar_append_space (GTK_TOOLBAR (aspssi));

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("SSI include file"),
					   "", new_pixmap (121, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_SSI_INCLUDE);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("SSI cgi"),
					   "", new_pixmap (122, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_SSI_CGI);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("SSI label"),
					   "", new_pixmap (123, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_SSI_LABEL);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("SSI goto"),
					   "", new_pixmap (124, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_SSI_GOTO);

	gtk_toolbar_append_item (GTK_TOOLBAR (aspssi), NULL, _ ("SSI break"),
					   "", new_pixmap (125, window->window, &color),
		GTK_SIGNAL_FUNC (insert_text_and_move_cursor), (int *) TAG_SSI_BREAK);

	gtk_toolbar_append_space (GTK_TOOLBAR (aspssi));

}
/*
 * fin de load_first_toolbar(void) 
 */

void
init_popmenu (void)
{
	GtkWidget *menu_item;

	popmenu = gtk_menu_new ();

	menu_item = gtk_menu_item_new_with_label (_ ("Cut"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 0);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Copy"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 1);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Paste"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 2);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new ();
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Select All"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 3);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Erase selection"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 4);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Paste as new doc"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect (GTK_OBJECT (menu_item), "activate",
					GTK_SIGNAL_FUNC (clipboard_actions), (int *) 5);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new ();
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Save"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
							   GTK_SIGNAL_FUNC (savefile), NULL);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Informations"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
						 GTK_SIGNAL_FUNC (display_file_info), NULL);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Close"));
	gtk_menu_append (GTK_MENU (popmenu), menu_item);
	gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
							 GTK_SIGNAL_FUNC (close_primary), NULL);
	gtk_widget_show (menu_item);

	popmenu2 = gtk_menu_new ();

	menu_item = gtk_menu_item_new_with_label (_ ("Edit"));
	gtk_menu_append (GTK_MENU (popmenu2), menu_item);
	gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
							GTK_SIGNAL_FUNC (edit_file_exec), NULL);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("Remove from project"));
	gtk_menu_append (GTK_MENU (popmenu2), menu_item);
	gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
							   GTK_SIGNAL_FUNC (remove_file2), NULL);
	gtk_widget_show (menu_item);

	menu_item = gtk_menu_item_new_with_label (_ ("File informations"));
	gtk_menu_append (GTK_MENU (popmenu2), menu_item);
	gtk_signal_connect_object (GTK_OBJECT (menu_item), "activate",
						 GTK_SIGNAL_FUNC (display_file_info), NULL);
	gtk_widget_show (menu_item);

}
/*
 * fin de init_popmenu(); 
 */
